GET
https://api.cryptohopper.com/v1/social/profile/{id}/followers
Returns up to 50 profiles that follow a profile, most recent followers first, and whether you follow each of them. Banned and deleted profiles are left out.
OAuth scope:
read About scopes
Example request
curl "https://api.cryptohopper.com/v1/social/profile/PROFILE_ID/followers" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/social/profile/PROFILE_ID/followers', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/social/profile/PROFILE_ID/followers",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/social/profile/PROFILE_ID/followers');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id |
string | Required | Numeric ID of the social profile. |
Response
{
"data": [
{
"profile_id": "5678",
"profile_name": "Hodl Henk",
"profile_alias": "hodl-henk",
"profile_image": "https://cdn.example.com/images/social/uploads/avatar_4567.jpg",
"biography": "Long term holder.",
"verified": "0",
"following": 1,
"profile_link": "/social/profile/hodl-henk"
}
]
}